aboutsummaryrefslogtreecommitdiff
path: root/git-pull.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2011-04-01 17:50:54 -0700
committerJunio C Hamano <gitster@pobox.com>2011-04-01 17:50:54 -0700
commit84dd63ee1d6ce08d7b85e4f1c4d7e77ef27a1578 (patch)
tree418f125d2547504da61041af79d2ae94b6cb6f07 /git-pull.sh
parent82d861f9d65080f5c66a5f3c956627af6ded78d9 (diff)
parent4b3ffe5184bd550dddacdd0b32b18ad0e73c7908 (diff)
downloadgit-84dd63ee1d6ce08d7b85e4f1c4d7e77ef27a1578.tar.xz
Merge branch 'jk/pull-into-empty'
* jk/pull-into-empty: pull: do not clobber untracked files on initial pull merge: merge unborn index before setting ref
Diffstat (limited to 'git-pull.sh')
-rwxr-xr-xgit-pull.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-pull.sh b/git-pull.sh
index 63b063a7b2..e31226b62f 100755
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -274,7 +274,7 @@ esac
if test -z "$orig_head"
then
git update-ref -m "initial pull" HEAD $merge_head "$curr_head" &&
- git read-tree --reset -u HEAD || exit 1
+ git read-tree -m -u HEAD || exit 1
exit
fi